Loading...
Searching...
No Matches
BALL::Result::ResultData Class Reference

`#include <BALL/DOCKING/COMMON/result.h>`

## Public Member Functions

| ResultData ()
| ResultData (int result_type)
void | setReceptorConformationId (String id)
void | setReceptorConformation (Conformation *conf)
bool | hasReceptorConformationId () const
String | getReceptorConformationId () const
void | setLigandConformationId (String id)
void | setLigandConformation (Conformation *conf)
String | getLigandConformationId () const
bool | hasLigandConformationId () const
void | setScoringMethod (int method)
bool | hasScoringMethod () const
int | getScoringMethod () const
void | setEnergy (double e)
double | getEnergy () const
bool | hasEnergy () const
bool | check () const
void | setConformation (Conformation *conf)
Conformation * | getConformation ()

## Detailed Description

Definition at line 37 of file result.h.

## Constructor & Destructor Documentation

## ResultData() [1/2]

BALL::Result::ResultData::ResultData | ( |  | ) |

## ResultData() [2/2]

BALL::Result::ResultData::ResultData | ( | int | result_type | ) |

## Member Function Documentation

## check()

bool BALL::Result::ResultData::check | ( |  | ) | const

## getConformation()

Conformation * BALL::Result::ResultData::getConformation | ( |  | ) |

## getEnergy()

double BALL::Result::ResultData::getEnergy | ( |  | ) | const

## getLigandConformationId()

String BALL::Result::ResultData::getLigandConformationId | ( |  | ) | const

## getReceptorConformationId()

String BALL::Result::ResultData::getReceptorConformationId | ( |  | ) | const

## getScoringMethod()

int BALL::Result::ResultData::getScoringMethod | ( |  | ) | const

## hasEnergy()

bool BALL::Result::ResultData::hasEnergy | ( |  | ) | const

## hasLigandConformationId()

bool BALL::Result::ResultData::hasLigandConformationId | ( |  | ) | const

## hasReceptorConformationId()

bool BALL::Result::ResultData::hasReceptorConformationId | ( |  | ) | const

## hasScoringMethod()

bool BALL::Result::ResultData::hasScoringMethod | ( |  | ) | const

## setConformation()

void BALL::Result::ResultData::setConformation | ( | Conformation * | conf | ) |

## setEnergy()

void BALL::Result::ResultData::setEnergy | ( | double | e | ) |

## setLigandConformation()

void BALL::Result::ResultData::setLigandConformation | ( | Conformation * | conf | ) |

## setLigandConformationId()

void BALL::Result::ResultData::setLigandConformationId | ( | String | id | ) |

## setReceptorConformation()

void BALL::Result::ResultData::setReceptorConformation | ( | Conformation * | conf | ) |

## setReceptorConformationId()

void BALL::Result::ResultData::setReceptorConformationId | ( | String | id | ) |

## setScoringMethod()

void BALL::Result::ResultData::setScoringMethod | ( | int | method | ) |